Bug 469648 - (CVE-2008-4811) CVE-2008-4811 php-Smarty: PHP code execution via templates with \ escaped $ sign
CVE-2008-4811 php-Smarty: PHP code execution via templates with \ escaped $ sign
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20081031,impact=m...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 04:01 EST by Tomas Hoger
Modified: 2008-11-26 03:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 03:20:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-11-03 04:01:21 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4811 to the following vulnerability:

The _expand_quoted_text function in libs/Smarty_Compiler.class.php in
Smarty 2.6.20 r2797 and earlier allows remote attackers to execute
arbitrary PHP code via vectors related to templates and a \
(backslash) before a dollar-sign character.

References:
http://www.openwall.com/lists/oss-security/2008/10/25/2
http://securityvulns.ru/Udocument746.html
http://secunia.com/advisories/32329
Comment 1 Christopher Stone 2008-11-03 11:43:14 EST
Again, this bug description is confusing an inaccurate.

If I understand this correctly, r2797 *fixes* the problem, and the bug description should say "...in Smarty 2.6.20 r2796 and earlier..."
Comment 2 Fedora Update System 2008-11-03 12:29:38 EST
php-Smarty-2.6.20-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-Smarty-2.6.20-2.fc9
Comment 3 Fedora Update System 2008-11-03 12:30:22 EST
php-Smarty-2.6.20-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-Smarty-2.6.20-2.fc8
Comment 4 Fedora Update System 2008-11-06 21:50:15 EST
php-Smarty-2.6.20-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-11-06 21:52:00 EST
php-Smarty-2.6.20-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-11-23 13:57:08 EST
php-Smarty-2.6.20-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-Smarty-2.6.20-2.fc10
Comment 7 Fedora Update System 2008-11-26 01:24:58 EST
php-Smarty-2.6.20-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.